From 0b65d43963fc1bea195e94e3af922a7893bf6fcd Mon Sep 17 00:00:00 2001
From: James Clarke <jrtc27@jrtc27.com>
Date: Sun, 4 Mar 2018 23:44:52 +0100
Subject: Add support for ELF machine EM_SPARC32PLUS

32-bit SPARC on V8+ uses a different ELF machine type.

Fixes: https://bugs.gentoo.org/634550
Signed-off-by: Guillem Jover <guillem@hadrons.org>
---
 src/local-elf.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/local-elf.h b/src/local-elf.h
index 1faf182..f7cbd83 100644
--- a/src/local-elf.h
+++ b/src/local-elf.h
@@ -186,7 +186,11 @@
 #define ELF_TARG_MACH	EM_SPARCV9
 #define ELF_TARG_CLASS	ELFCLASS64
 #else
+#if defined(__sparc_v9__)
+#define ELF_TARG_MACH	EM_SPARC32PLUS
+#else
 #define ELF_TARG_MACH	EM_SPARC
+#endif
 #define ELF_TARG_CLASS	ELFCLASS32
 #endif
 #define ELF_TARG_DATA	ELFDATA2MSB
-- 
cgit v1.1

